* {
    /* background-color: rgba(16, 25, 32, 1); */
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Poppins-regular';
    src: url(./Fonts/Poppins-Regular.ttf);
}

:root {
    --primarytext-color: rgb(114, 168, 190);
    --subtext-color: rgba(143, 184, 195, 1);
    --background-color: rgba(16, 25, 32, 1);
    --headeractive-text: rgba(238, 204, 109, 1);
    --headernonactive-text: rgba(73, 108, 117, 1);
    --headerbg: rgba(16, 25, 32, 1);
    --textnonactive: rgb(42, 134, 187);
    --projectstitle: rgb(82, 150, 189);
    --transition-duration: 0.5s;
    --scale: 1;
    --scale-hover: 1.1;
    --spacing-unit: 20px;
    --font-size-base: 20px;
    --font-size-heading: 30px;
    --font-weight-regular: 300;
    --font-weight-bold: 700;
    --font-family: 'Poppins-regular', sans-serif;
}

.gradientcontainer {
    height: 100vh;
    width: 100vw;
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    z-index:-1;
    --background-color: rgba(16, 25, 32, 1);
}

.active {
    color: var(--headeractive-text);
}

.social-icons img {
    /* position: absolute; */
    width: 40px;
    height: 40px;
    background-size: auto;
    border-radius: 5px;
    margin-right: 15px;
    gap: 10px;
}

.gradientcontainer div {
    --background-color: rgba(16, 25, 32, 1);
    position: absolute;
    top: 0;
    left:0;
    z-index: -1;
    animation: gradient 3s infinite;
}

@keyframes gradient {
    50% {
        transform: scale(1.2) translate(50px);
    }
}

.gradientcontainer div:nth-child(1) {
    height: 90%;
    width: 80%;
    background-color: #020305;
    left: -29%;
    top: -10%;
    animation-delay: 1.5s;

}

.gradientcontainer div:nth-child(2) {
    height: 80%;
    width: 70%;
    background-color: #090d1f;
    left: -12%;
    top: 62%;
    animation-delay: 2s;
}

.gradientcontainer div:nth-child(3) {
    height: 65%;
    width: 80%;
    background-color: #02081a;
    left: -15%;
    top: -20%;
    animation-delay: 0.3s;
}

.gradientcontainer div:nth-child(4) {
    height: 40%;
    width: 75%;
    background-color: #090d1f;
    left: -10%;
    top: -12%;
    animation-delay: 1.2s;
}

.gradientcontainer div:nth-child(5) {
    height: 100%;
    width: 45%;
    background-color: #4a5685;
    left: 50%;
    right: 80%;
    top: -10%;
    animation-delay: 3.5s;
}

.gradientcontainer div:nth-child(6) {
    height: 90%;
    width: 90%;
    background-color: #09313d;
    left: 10%;
    top: 45%;
    animation-delay: 1s;
}

.gradientcontainer::after {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    backdrop-filter: blur(80px);
}

.gradientcontainer div:nth-child(7) {
    height: 60%;
    width: 55%;
    background-color: #090d1f;
    left: 50%;
    top: -10%;
    animation-delay: 0.5s;
}

.active {
    color: var(--headeractive-text);
}

nav ul {
    list-style: none;
    display: flex;
    gap: var(--spacing-unit);
}

nav ul li a {
    display: inline-block;
    text-decoration: none;
    font-weight: var(--font-weight-bold);
    color: var(--headernonactive-text);
    transition: color var(--transition-duration) ease, transform var(--transition-duration)ease;
    font-family: var(--font-family);
}

nav ul li a:hover {
    color: var(--primarytext-color);
    transform: scale(var(--scale-hover));
}

header {
    display: flex;
    /*background-color: var(--headerbg);*/
    justify-content: flex-end;
    align-items: center;
    padding: var(--spacing-unit);
    width: 100%;
}

.textbox {
    display: grid;
    width: 800px;
    height: 500px;
    padding-top: 100px;
    margin: auto;

}

.texttop {
    font-size: 1.5em;
    color: rgba(58, 130, 189, 1);
    text-align: left;
    font-family: var(--font-family);
    display: flex;
    justify-content: flex-start;
    position: relative;
    align-items: flex-start;
    left: 85px;
}

.textmiddle {
    font-size: 4.5em;
    color: var(--subtext-color);
    text-align: center;
    font-family: var(--font-family);
    align-items: flex-start;
    position: relative;
    justify-content: flex-start;
    display: flex;
    left: 230px;


}

.textmiddle1 {
    font-size: 4.5em;
    color: var(--subtext-color);
    text-align: center;
    font-family: var(--font-family);
    align-items: flex-start;
    position: relative;
    justify-content: flex-start;
    display: flex;
    left: 230px;

}


.textbottom {
    font-size: 1.5em;
    color: rgba(58, 130, 189, 1);
    text-align: right;
    font-family: var(--font-family);
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    position: relative;
    left: 70px;

}

p {
    padding-right: 10px;
    font-size: 1.5em;
    color: rgba(58, 130, 189, 1);
    font-weight: bold;

}

.words {
    display: flex;
    border: 0px solid whitesmoke;
    height: 50px;
    line-height: 50px;
    font-size: 1.5em;
    overflow: hidden;
    /*over stuff hidden*/
}

.words span {
    position: relative;
    color: var(--subtext-color);
    font-weight: bold;
    text-align: start;
    animation: animation 6s ease infinite;
}

footer{
justify-items: right;
margin-top: 120px;
position:relative;
row-gap: 40px;
}


@keyframes animation {

    0%,
    100% {
        top: 0;
    }

    40% {
        top: -50px;
    }

    70% {
        top: -100px;
    }

    100% {
        top: -100px;
    }
}
@media screen and (max-width: 768px) {
    .textbox {
        width: 90%;
        padding-top: 50px;
    }
    .texttop,
    .textbottom {
        font-size: 1.3rem;
        left: 20px;
    }

    .textmiddle,
    .textmiddle1 {
        font-size: 3rem;
    }

    .words {
        font-size: 1.4rem;
    }

    header {
        justify-content: center;
    }


    nav ul li {
        margin-bottom: var(--spacing-unit);
    }

    .gradientcontainer {
        height: 150vh;
}

@media screen and (max-width: 640px) {
    .textbox {
        width: 90%;
        padding-top: 40px;
        justify-content: center;
        flex-wrap: wrap;
    }
    .textmiddle,
    .textmiddle1 {
        font-size: 2.9rem;
        left: 90px;
        position: relative;
    }

    .texttop{
        justify-content: center;
    }

    .social-icons{
        justify-content: center;
    }

}

@media screen and (max-width: 480px) {
    body {
        font-size: 0.875em; /* Adjust for smaller screens */
    }

    .textbox {
        width: 100%;
        padding-top: 20px;
        align-items: center;
        justify-content: center;
        padding-right: 20px;
    }

    .texttop,
    .textbottom {
        font-size: 1.2rem;
    }

    .textmiddle,
    .textmiddle1 {
        font-size: 2.5rem;
        justify-items: center;
        align-items: center;
    }

    .words {
        font-size: 1.2rem;
    }

    .words span{
        animation: animation 9s ease infinite;
    }

    header {
        justify-content: center;
        padding: 10px;
    }
}

@media screen and (max-width: 375px) {
    body {
        font-size: 0.875em; /* Adjust for smaller screens */
    }

    .textbox {
        width: 100%;
        padding-top: 20px;
        align-items: center;
        justify-content: center;
        padding-right: 40px;
    }
    .textmiddle,
    .textmiddle1 {
        font-size: 2.3rem;
        flex-direction: row;
        align-items: center;
        padding-right: 120px;
    }
    
    .texttop{
        font-size: 1em;
    }

    .textbottom{
        font-size: 1em;
    }

    p{
        padding-bottom: 10px;
    }

    .words span {
        font-size: 1rem; /* Adjust font size inside words animation */
    }

    header {
        justify-content: center;
        padding: 20px;
    }

    footer{
        justify-items: center;
        margin-top: 10px;
    }

    .gradientcontainer {
        height: 120vh;
    }

}
@media screen and (max-width: 320px)
{
    
    .textbottom{
        padding-right: 30px;
    }

    .textmiddle,
    .textmiddle1 {
        padding-right: 130px;
    }

    .gradientcontainer {
        height: 120vh;
    }

    footer{
        justify-items: center;
        margin-top: 10px;
    }
}
}